Bio::MAGETAB::Contact(3)

NAME
Bio::MAGETAB::Contact - MAGE-TAB contact class

SYNOPSIS
 use Bio::MAGETAB::Contact;

DESCRIPTION
This class is used to store information on contacts (i.e., the people responsible for the experiment) in MAGE-TAB. See the BaseClass class for superclass methods.

ATTRIBUTES

lastName (required)
    The contact's family name (data type: String).

firstName (optional)
    The contact's given name (data type: String).

midInitials (optional)
    The contact's middle initials (data type: String).

email (optional)
    The contact's email address (data type: Email).

organization (optional)
    The organization to which the contact is affiliated (data type: String).

phone (optional)
    The contact's telephone number (data type: String).

fax (optional)
    The contact's FAX number (data type: String).

address (optional)
    The street address for this contact (data type: String).

roles (optional)
    A list of roles which this contact fulfills (data type: Bio::MAGETAB::ControlledTerm).

comments (optional)
    A list of user-defined comments for the contact (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).